Subject: Re: [PATCH net-next v4 2/7] dt-bindings: net: mvusb: Fix up DSA example

From: Rob Herring <[email-masked]>
Date: Thu, 19 Oct 2023 15:23:15 -0500

On Thu, Oct 19, 2023 at 05:26:46PM +0300, Vladimir Oltean wrote:
> On Thu, Oct 19, 2023 at 08:45:14AM -0500, Rob Herring wrote:
> > On Wed, Oct 18, 2023 at 01:37:10PM +0200, Linus Walleij wrote:
> > > On Wed, Oct 18, 2023 at 12:32 PM Rob Herring <[email-masked]> wrote:
> > > 
> > > > dtschema/dtc warnings/errors:
> > > > Documentation/devicetree/bindings/net/marvell,mvusb.example.dtb: /example-0/usb/mdio@1/ethernet-switch@0: failed to match any schema with compatible: ['marvell,mv88e6190']
> > > 
> > > Isn't that just because the bindings now come last in the series.
> > > Which is in response to a review comment, hence this warning
> > > didn't appear before.
> > 
> > Yes. The only option that avoids this is squashing the 2 patches. I 
> > think it is fine to leave this as-is.
> > 
> > Rob
> 
> Anyway, I'm surprised that the bot would send this email, since the
> warning existed prior to this patch, and I would expect that the bot
> only notifies of newly introduced issues.

Oh right. Except that the node name changed in this patch and that 
changed the error message.

Rob